AstrologyAPI

Use access token to call astrology api.

Learn More

Solar Return Details

POSThttps://json.astrologyapi.com/v1/solar_return_details
Copy

The solar_return_details API provides information about the solar return date for an individual based on their birth date and time. The response includes the native's birth date and time, their age at the time of the solar return, and the solar return date and time.

POST/solar_return_details
Copy
1curl --location 'https://json.astrologyapi.com/v1/solar_return_details' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "day": 10,
6    "month": 5,
7    "year": 1990,
8    "hour": 19,
9    "min": 55,
10    "lat": 19.2056,
11    "lon": 25.2056,
12    "tzone": 5.5,
13    "solar_year": 2025,
14    "house_type": 2025
15}'
16
200Response
Copy
1{
2  "native_birth_date": "05-15-2011 12:10:00",
3  "native_age": null,
4  "solar_return_date": "05-15-2018 05:09:35"
5}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - en

Request Body (JSON)

day

int

required

Date of birth, eg: 10

month

int

required

Month of birth, eg: 5

year

int

required

Year of birth, eg: 1990

hour

int

required

Hour of birth, eg: 19

min

int

required

Minute of birth, eg: 55

lat

float

required

Latitude, eg: 19.2056

lon

float

required

Longitude, eg: 25.2056

tzone

float

required

Timezone, eg: 5.5

solar_year

int

required

Solar Year, eg: 2025

house_type

string

Default : "placidus" // koch/topocentric/poryphry/equal_house/whole_sign

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.